#include <string>
#include <vector>
#include <sstream>
#include <fstream> 
#include <iostream>
#include <algorithm>
#include <stdio.h>

#include "FCHT.h"

using namespace std;

//#ifdef COMPRESS_HU_TUCKER_CANONICALS  

/** *******************************************************************
  * creating the tCanonicalsHuff structure during construction of WCSA 
  * *******************************************************************/  	
int buildCanonicalsFCHT(void **HT,  uchar **words, uint numberOfCanonicalWords, size_t blocksize);     
int saveCanonicalsFCHT (void *HC, char *filename);

int loadCanonicalsFCHT (void **HC, char *filename);

int freeCanonicalsFCHT (void *HC);

size_t sizeCanonicalsFCHT(void  *HC);

/** gets the ID of the word "s1" (if found) **/
size_t getIDFCHT(void *HC, uchar *s1, register ulong ws1);

/** get the ID-th canonical word **/
uchar * getWordFCHT(void *HC, size_t id);

/** DEBUGING ONLY****************/
void showCanonicalsFCHT(void *HC);

//#endif
