/* VByte.h
 * Copyright (C) 2010, Rodrigo Canovas & Miguel A. Martinez-Prieto
 * all rights reserved.
 *
 * Variable Byte Code
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *
 * Contacting the author:
 *   Rodrigo Canovas:  yigorc@gmail.com
 *   Miguel A Martinez-Prieto:  migumar2@infor.uva.es
 */


#ifndef _VBYTE_H
#define _VBYTE_H

#include <iostream>
using namespace std;

#include "libcdsutils/libcdsBasics.h"
using namespace cds_utils_fari;

class VByte_F
{		
	public:
		static uint encode(uint c, uchar *r);
		static uint decode(uint *c, uchar *r);
	private:
		static void bitset_FF(uchar * e, size_t p);
};


#endif  /* _VBYTE_H */
