#ifndef FILTERWORDSINCLUDED
#define FILTERWORDSINCLUDED

#include "valstring.h"
#include "defValues.h"
#include "hashStopWords.h"
#include "dataTypesFacade.h"
#include "lovinsI.h"

	
#define IS_STOPWORD 0
#define IS_NORMALWORD 1

struct Scanonical {        //used only for calling "getCanonical".
	byte word[MAX_SIZE_OF_WORD+1];
	unsigned int size;
	int type;               //{ 1 --> WORD, 0 --> STOPWORD}
};	
typedef struct Scanonical tCanonical;

/*------------------------------------------------------------------
 Obtains the canonical word of a given "word-variant".
 ------------------------------------------------------------------ */
int getCanonical(tCanonical *canonical,  byte *word, uint size, stt_hash stopWordsHash);

/*------------------------------------------------------------------
 Obtains the canonical word of a given "word-variant".
 Assumes that words ends in '\0' ==> size is not needed
 ----------------------------------------------------------------- */
int getCanonicalNoSize(tCanonical *canonical,byte *word, stt_hash stopWordsHash);

int parseWordToCanonicalID(twcsa *wcsa, byte *aWord);


#endif
