






int fsearchPREV(void * index, int target, uint idforList)
{
	twcsa* wcsa = (twcsa *) index;
	uint l,r,m,val,num;
	uint pos,k;
	uint lenList = wcsa->lenList[idforList];
	uint sampleK = wcsa->occs.sampleK;
	uint bucksize = wcsa->occs.occsBucketSize;
	uint absBits = wcsa->occs.absOffsetSize;
	uint bcBits = wcsa->occs.bcOffsetSize;
	uint firstpos = wcsa->occs.occs[idforList];
	uint *zoneoccs = wcsa->occs.zoneOccs;
	byte *bcs = wcsa->occs.bcs;
	
	l = firstpos/bucksize; r= l+ (lenList +sampleK -1)/sampleK -1;
		
	//		printf("\n=============================================: target = %d, lenList = %d,%s ==",target,lenList,wcsa->words[idforList]);
	//		printf("\n firstpos = %d, lenList = %d, sampleK = %d, numbucks=%d, bucksize = %d",firstpos, lenList,sampleK, wcsa->occs.numBuckets,bucksize);fflush(stdout);
	//		printf("\n l= %d, r=%d, target = %d",l,r,target);fflush(stdout);
	
	//After the last sampled absolute pos
	val = bitread (zoneoccs, r*bucksize, absBits);  //the last Abs sample
	printf("\n ###valor en r*bucksize %d",val);
	if (val  <= target) {
		printf("\n ###ULTIMO CACHO: target = %d, val = %d",target,val);
			if (val ==target) return 1;
			pos = bitread (zoneoccs, r*bucksize + absBits , bcBits);
			l=0;
			r =lenList%sampleK;
			printf("\n\t\t l= %d, r=%d, target = %d",l,r,target);fflush(stdout);

			while (l<r) {  //decodes sequentially
				BC_TO_DEC(bcs, pos, num);
				val +=num;
				printf("\n\t\t\t %d pos",val);
				if (val ==target) { 
					printf("\n **found!!");
					return 1; // found!!.
				}
				if (val > target) { 
					printf("\n **not found!! %d",val);
					return 0; //not found
				}
				l++;	
			}
			printf("\n ***not found!!");
			return 0;
	}
	
	//Before the last sampled absolute pos
	printf("\nTO BIN SEARCH:: l= %d, r=%d, val = %d, target =%d",l,r,val,target);fflush(stdout);
	//m = (l + r) / 2;	
	while (r>(l+1)) {
		m = (l + r) / 2;	
		pos = m*bucksize;
		val = bitread (zoneoccs, pos, absBits);
		if (val < target) l=m;
		else if (val==target) return 1;
		else r=m;
		//printf("\nINTO BIN SEARCH:: l= %d, m= %d, r=%d, val = %d, target =%d",l,m,r,val,target);fflush(stdout);
	}
	
 	//if (val==target) return 1;	
	printf("\nend BIN SEARCH:: l= %d, m= %d, r=%d, val = %d, target =%d",l,m,r,val,target);fflush(stdout);
	
	pos = l*bucksize;
	val = bitread (zoneoccs, pos, absBits);
	if (target ==val) return 1;

		//printf("\nPREV DEC BCS:: l= %d, val = %d, target =%d",l,val,target);fflush(stdout);
		
	//sequential decompression of bcs
	pos = bitread (zoneoccs, pos + absBits , bcBits);	
	r=sampleK-1;
	for (k=0;k< r; k++) {
		BC_TO_DEC(bcs, pos, num); //num is the gap
		val +=num;
		//printf("\n   decoding BCS:: gap= %d, val = %d, target =%d, k = %d,r = %d",num,val,target,k,r);fflush(stdout);
		if (val == target) return 1;
		if (val > target) return 0; //not found			
	}
	return 0;
}





/**
  * Binary searches a target value in the list of the idforList-th word.
  */
/** cache *///int fsearch(void * index, int target, uint idforList, uint *ll)
int fsearch(void * index, int target, uint idforList)
{
	twcsa* wcsa = (twcsa *) index;
	uint l;
	uint r,m,val,num;
	uint pos,k;

	uint lenList = wcsa->lenList[idforList];
	uint firstpos = wcsa->occs.occs[idforList];

	uint sampleK = wcsa->occs.sampleK;
	uint bucksize = wcsa->occs.occsBucketSize;
	uint absBits = wcsa->occs.absOffsetSize;
	uint bcBits = wcsa->occs.bcOffsetSize;
	uint *zoneoccs = wcsa->occs.zoneOccs;
	byte *bcs = wcsa->occs.bcs;
	
	l = firstpos/bucksize; 
/** cache *///	l=*ll;
	r= l+ (lenList +sampleK -1)/sampleK -1;
			
	//After the last sampled absolute pos: ==> sequential decompression after there.
	val = bitread (zoneoccs, r*bucksize, absBits);  //the last Abs sample
	if (val  <= target) {

		if (val ==target) return 1;
		pos = bitread (zoneoccs, r*bucksize + absBits , bcBits);
		l=(r-l)*sampleK +1;  
		r=lenList;

		while (l<r) {  //decodes sequentially the last l-r bcs.
			BC_TO_DEC(bcs, pos, num);
			val += num;
			if (val ==target) return 1; // found!!.
			if (val > target) return 0; //not found
			l++;	
		}
		return 0;
	}
	
	//Before the last sampled absolute pos:: 
	//printf("\nTO BIN SEARCH:: l= %d, r=%d, val = %d, target =%d",l,r,val,target);fflush(stdout);
	while (r>(l+1)) {
		m = (l + r) / 2;	
		pos = m * bucksize;
		val = bitread (zoneoccs, pos, absBits);
		if (val < target) l = m;
		else if (val == target) return 1;
		else r = m;
	}
	
	//decoding from 
	pos = l * bucksize;
	val = bitread (zoneoccs, pos, absBits);
	if (target ==val) return 1;

		//printf("\nPREV DEC BCS:: l= %d, val = %d, target =%d",l,val,target);fflush(stdout);
		
	//sequential decompression of bcs
	pos = bitread (zoneoccs, pos + absBits , bcBits);	
	r=sampleK-1;
	for (k=0;k< r; k++) {
		BC_TO_DEC(bcs, pos, num); //num is the gap
		val +=num;
		//printf("\n   decoding BCS:: gap= %d, val = %d, target =%d, k = %d,r = %d",num,val,target,k,r);fflush(stdout);
		if (val == target) return 1;
		if (val > target) return 0; //not found			
	}
	return 0;
}



int fsearchShowing(void * index, int target, uint idforList)
{
	twcsa* wcsa = (twcsa *) index;
	uint l,r,m,val,num;
	uint pos,k;
	uint lenList = wcsa->lenList[idforList];
	uint sampleK = wcsa->occs.sampleK;
	uint bucksize = wcsa->occs.occsBucketSize;
	uint absBits = wcsa->occs.absOffsetSize;
	uint bcBits = wcsa->occs.bcOffsetSize;
	uint firstpos = wcsa->occs.occs[idforList];
	uint *zoneoccs = wcsa->occs.zoneOccs;
	byte *bcs = wcsa->occs.bcs;
	
	l = firstpos/bucksize; 
	r= l+ ( (lenList +sampleK -1)/sampleK ) -1;
	
	printf("\n\t##starting fsearch: l= %d, r=%d, lenlist = %d",l,r,lenList) ;fflush(stdout);		

	//After the last sampled absolute pos
	val = bitread (zoneoccs, r*bucksize, absBits);  //the last Abs sample
	printf("\n ###valor en r*bucksize %d",val);
	if (val  <= target) {
		printf("\n ###ULTIMO CACHO: target = %d, val = %d",target,val);
			if (val ==target) return 1;
			pos = bitread (zoneoccs, r*bucksize + absBits , bcBits);
			//l=0;
			//r =(lenList-1)%sampleK;
			//if (r==0) r=31;
			l=(r-l)*sampleK +1;
			r=lenList;
			printf("\n\t\t**** l= %d, r=%d, target = %d",l,r,target);fflush(stdout);

			while (l<r) {  //decodes sequentially
				BC_TO_DEC(bcs, pos, num);
				val +=num;
				printf("\n\t\t\t %d pos",val);
				if (val ==target) { 
					printf("\n **found!!");
					return 1; // found!!.
				}
				if (val > target) { 
					printf("\n **not found!! %d",val);
					return 0; //not found
				}
				l++;	
			}
			printf("\n ***not found!!");
			return 0;
	}
	
	//Before the last sampled absolute pos
	printf("\nTO BIN SEARCH:: l= %d, r=%d, val = %d, target =%d",l,r,val,target);fflush(stdout);
	//m = (l + r) / 2;	
	while (r>(l+1)) {
		m = (l + r) / 2;	
		pos = m*bucksize;
		val = bitread (zoneoccs, pos, absBits);
		if (val < target) l=m;
		else if (val==target) return 1;
		else r=m;
		//printf("\nINTO BIN SEARCH:: l= %d, m= %d, r=%d, val = %d, target =%d",l,m,r,val,target);fflush(stdout);
	}
	
 	//if (val==target) return 1;	
	printf("\nend BIN SEARCH:: l= %d, m= %d, r=%d, val = %d, target =%d",l,m,r,val,target);fflush(stdout);
	
	pos = l*bucksize;
	val = bitread (zoneoccs, pos, absBits);
	if (target ==val) return 1;

		//printf("\nPREV DEC BCS:: l= %d, val = %d, target =%d",l,val,target);fflush(stdout);
		
	//sequential decompression of bcs
	pos = bitread (zoneoccs, pos + absBits , bcBits);	
	r=sampleK-1;
	for (k=0;k< r; k++) {
		BC_TO_DEC(bcs, pos, num); //num is the gap
		val +=num;
		//printf("\n   decoding BCS:: gap= %d, val = %d, target =%d, k = %d,r = %d",num,val,target,k,r);fflush(stdout);
		if (val == target) return 1;
		if (val > target) return 0; //not found			
	}
	return 0;
}




/** searches for "value" inside list idList 
	 returns 0 if not found,
	        >0 if found
	 !!very slow if a very frequent id is needed.
 */
int fsearchUNCOMPRESS(void *index, uint value, uint idList ) {
	uint *list;
	uint len,i;
	uncompressList (index, idList, &list, &len);
	//fprintf(stderr,"\n len of list uncompressed for fsearch = %d",len);
	for (i=0;i<len;i++){
		//printf("[%d]",list[i]);
		if (list[i] == value) {
			free(list);
			return 1;			
		}
		
	} 
	free(list);				
	return 0;	
}

int uncompressesAndShow(void *index,uint idList ) {
	uint *list;
	uint len,i;
	uncompressList (index, idList, &list, &len);
	printf("\n Showing the list of id: %d ==>  ",len);
	for (i=0;i<len;i++){
		printf("[(%d),%d]",i,list[i]);		
	} 
	free(list);				
	return 0;	
}





/** Intersection of lists of occurrences **/
//idsIn are sorted previously
int svs (void *index, tUintSort *idsIn, uint nids, uint **list, uint *len) {

//	uint ids[MAX_INTEGER_PATTERN_SIZE];
	//sorting ids ==> lists are sorted by frequency !!
	uint i;
	
	/**starting SVS ------------------------ */		
	//Creating the first list;
	
	{	uint i,j,n;
		uint *firstlist;
		uint matches;
		uncompressList (index, idsIn[0].id, list, len);	
		firstlist =*list;
		n=*len;
		uint result;

/** cache *///		twcsa *wcsa = (twcsa *) index;		
/** cache *///		uint l;
		for (i=1; i<nids; i++) {  //the nids-1 remaining lists
			matches =0;

		/** cache *///	uint firstpos = wcsa->occs.occs[ids[i]];
		/** cache *///	uint bucksize = wcsa->occs.occsBucketSize;
		/** cache *///	l = firstpos/bucksize; 

			for (j=0;j<n;j++) {
				result=fsearch (index, firstlist[j], idsIn[i].id);
				/** cache *///result=fsearch (index, firstlist[j] , ids[i], &l);			

				//result=fsearchUNCOMPRESS (index, firstlist[j] , ids[i]);

				if (result) {
				//if (fsearch (index, firstlist[j] , ids[i])) {
				//if (fsearchUNCOMPRESS (index, firstlist[j] , ids[i])) {
					
					firstlist[matches++]= firstlist[j];
					//printf("\nFSEARCH de posicion %d = acierto contra palabra ",firstlist[j]);
				}
				//else printf("\nFSEARCH de posicion %d = fallo contra palabra ",firstlist[j]);
			}
			n=matches;
			if (n ==0) {
				free(*list); *list=NULL;*len =0;
				break;				
			}
		}				
		*len =n;
		//free(ids);
	}			
	return 0;
}


int getPositions (void *index, uint *ids, uint nids, uint **list, uint *len) {
	
	t_trie trie;
	int retval;
	byte *encodedPatt;  //the codes of the variants of the least frequent pattern.
	uint lenPatt,i;
	twcsa* wcsa = (twcsa *) index;
		
	//sorting the ids by lenList;	
	tUintSort *idsS = (tUintSort *)malloc (sizeof(tUintSort) * nids);
	for (i=0;i<nids;i++){ idsS[i].id=ids[i]; idsS[i].value = wcsa->freqs[ids[i]];}
	qsort(idsS,nids,sizeof(tUintSort),qsortCompareUintAsc);
	
	//printfs the sorted ids !
	//	for (i=0;i<nids;i++){
	//		printf("\n** sorted ids ??:: id = %d, freqVAl = %d, FREQS[id] = %d ",idsS[i].id, idsS[i].value, wcsa->freqs[idsS[i].id]);
	//	}
		
	//intersecting lists
	uint *candBlocks;
	uint numCandBlocks;
	retval= svs(index, idsS, nids, &candBlocks, &numCandBlocks);	 //blocks that have to be traversed.
	
	if (!numCandBlocks) {		
		*len =0;
		return 0;
	}
	
	//		printf("\nThe cnadidate blocks are:");
	//		for (i=0;i<numCandBlocks;i++) {
	//			printf("[%d]",candBlocks[i]);
	//		}
	//		printf("\n");	


		
	//Set-horspool on the candidate blocks. 
	//We search for the least frequent pattern using a modified version of Set-Horspool algorithm.
	//This is because, all the variants of the least frequent pattern have to be found. After
	//a match is found, a letf-validation and a right-validation is performed against the other
	//patterns, to ensure the phrase appears.

	{	
		// ** 1 ** finds the least frequent id, and detects if validations have
		//          to be either towards-right-first or towards-left-first
				
		uint minPos=0;
		for (i=1;i<nids;i++) 
			if (wcsa->freqs[ids[i]] < wcsa->freqs[ ids[minPos] ]) minPos=i;

		uint toRightFirst;

		uint pivot=minPos;
		if (minPos==0) toRightFirst = 1;
		else if (minPos==(nids-1)) toRightFirst =0;
		else{ //at least 3 elements ==> compare the freqs of ids [minPos-1] and [minPos+1]			
			if (wcsa->freqs[minPos+1]  >=  wcsa->freqs[minPos-1] ) 
				toRightFirst=1;
			else toRightFirst=0;
		}

		
		//printf("\n TO RIGHT FIRST INDICATES : %d\n",toRightFirst);
						
		// ** 1.b ** obtains the codes of the variants of the least frequent canonical word.
		{
			uint ini,end;
			uint IDC= ids[minPos];
			ini = wcsa->varsCanonicals[IDC];
			end = wcsa->varsCanonicals[IDC+1];
			lenPatt = end-ini;
			encodedPatt = &(wcsa->varsETDC[ini]); // codes of variants of the "ids[minPos]"^{th} canonical.
		}

				////checks it works ;)... Decoding the variants of the canonical word.
					//	{
					//		uint j;
					//	 	uint pos, endpos;
					//	 	uint id;
					//		pos=0;
					//		endpos = lenPatt;
					//			while (pos < endpos) {
					//				pos = decode (encodedPatt, pos, &id);
					//				printf("<<%s>>",wcsa->words[id]);
					//				j++;
					//			} 
					//	}

	
		
		// ** 2 ** Perform the search inside the candidate blocks with horspool;


		//allocating memory for the occurrences.
		uint *positions = (uint *) malloc (sizeof(uint) * wcsa->freqs[ids[0]]); //max number of occurrents
		uint matches=0;
		uint blockSize =wcsa->blockSize;
		uint textSize = wcsa->textSize;
		byte *text = wcsa->text;

		uint block;		
		byte *cbeg,*cend;
		uint offset;

		//initializes d vector for horspool algorithm (only once)
		byte d[256];	

		
		uint minLen;
		t_patterns P;
		long counter;
		//initialization of the search patterns 
		P= initilializePatternsFromCodes (encodedPatt,lenPatt);
		//initializes Horspool jumps vector "d[]" (used to jump forwards through the file)
		inicialize_d(P, d);
	
		//initilizes the trie, for searching with set-horspool
		trie = inicializeTrie(P);				
		minLen=P->lmin;
	

		//printf("\nApplying Horspool on the candidate blocks:");
		for (i=0;i<numCandBlocks;i++) {		
			block = candBlocks[i];	
			offset = block * blockSize; //beginning of the buffer
			cbeg =text + offset;
			cend =cbeg + blockSize;
			if ((offset+blockSize) > textSize)
				 cend = text+textSize;
			
			//Searching inside block "b"
			//A Codeword starting in block b-1 and ending in block b belongs to block "b-1".
			//Therefore, we synchronize at the beginning (moving to the end of the first codeword that
			//   belongs completely to block "b").

			/** synch at the beggining **/
			if (block !=0) {
				if (*cbeg <128) { //a stoppper 
					if (*(cbeg-1) >=128) {  //that stopper belongs to a codewords whose size > 1.
						cbeg++;
						while (*cbeg >=128) cbeg++;  //until reaching a stopper (if not aligned to a codeword-beginning)
					}
				}
				else 
					while (*cbeg >=128) cbeg++;  //until reaching a stopper (if not aligned to a codeword-beginning)
			}
						
			/** synch at the end **/
			//			if (cend < (text + textSize)) {
			//				while (*cend >=128) cend++;
			//				cend++;
			//				
			//			}
			


		int (*f1) (uint, uint*, uint, uint, twcsa *, uint * );  //the first function to check match
		int (*f2) (uint, uint*, uint, uint, twcsa *, uint * );  //the second   "     "   "       "
		
		if (toRightFirst) {f1=matchRight; f2=matchLeft;}
		else 	{f2=matchRight; f1=matchLeft;}
			/** searches the candidate blocks for the patterns */
			{
				uint count;
				searchPositionsFullFile (d, cbeg-text,cbeg, cend, minLen, trie, wcsa, ids, nids,
				                         pivot, &(positions[matches]), &count, toRightFirst, f1,f2);                         	
				matches +=count;
			}
					
			
		} //end for all candBlocks

			// 		{//horspool from the beginning of the file (skips using just candidate blocks).
			// 			cbeg = text;
			// 			cend = text + textSize;
			// 			uint count;
			// 			searchPositionsFullFile (d, 0,cbeg, cend, encodedPatt, lenPatt, &(positions[matches]), &count);
			// 			matches +=count;
			// 		}
			//		


		free(P->patterns);
		free(P);
		free(trie);
		*list =positions;
		*len = matches;
	}
		
	free(candBlocks);	
	free(idsS);
	return 0;		
}

